Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class TrimFunctionTemplate.Options

    java.lang.Object
      org.hibernate.dialect.function.TrimFunctionTemplate.Options

Enclosing class:
  TrimFunctionTemplate

    public static class TrimFunctionTemplate.Options

extends Object

Field Summary
`static String` | `DEFAULT_TRIM_CHARACTER`

Constructor Summary
`TrimFunctionTemplate.Options()`

Method Summary
`String` | `getTrimCharacter()`
`TrimFunctionTemplate.Specification` | `getTrimSpecification()`
`void` | `setTrimCharacter(String trimCharacter)`
`void` | `setTrimSpecification(TrimFunctionTemplate.Specification trimSpecification)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TRIM_CHARACTER

    public static final String DEFAULT_TRIM_CHARACTER

See Also:
  Constant Field Values

Constructor Detail

### TrimFunctionTemplate.Options

    public TrimFunctionTemplate.Options()

Method Detail

### getTrimCharacter

    public String getTrimCharacter()

### setTrimCharacter

    public void setTrimCharacter(String trimCharacter)

### getTrimSpecification

    public TrimFunctionTemplate.Specification getTrimSpecification()

### setTrimSpecification

    public void setTrimSpecification(TrimFunctionTemplate.Specification trimSpecification)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.